%define upstream_name libxml

Name:           pentaho-libxml
Version:        1.1.6
Release:        %mkrel 3
Summary:        Namespace aware SAX-Parser utility library
License:        LGPLv2+
Group:          System/Libraries 
Source:         http://downloads.sourceforge.net/jfreereport/%{upstream_name}-%{version}.zip
URL:            http://reporting.pentaho.org/
BuildRequires:  ant, ant-contrib, ant-nodeps, java-devel >= 0:1.6.0 , jpackage-utils, libbase, libloader, java-rpmbuild
Requires:       java >= 0:1.6.0 , jpackage-utils, libbase >= 1.1.2, libloader >= 1.1.2
BuildArch:      noarch
Patch0:         pentaho-libxml-1.1.2-fix-build.patch

%description
Pentaho LibXML is a namespace aware SAX-Parser utility library. It eases the
pain of implementing non-trivial SAX input handlers.


%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation 
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description javadoc
Javadoc for %{name}.


%prep
%setup -q -c
%patch0 -p0
find . -name "*.jar" -exec rm -f {} \;
mkdir -p lib
build-jar-repository -s -p lib commons-logging-api libbase libloader
cd lib
ln -s %{_javadir}/ant ant-contrib

%build
ant jar javadoc
for file in README.txt licence-LGPL.txt ChangeLog.txt; do
    tr -d '\r' < $file > $file.new
    mv $file.new $file
done

%install
mkdir -p %{buildroot}%{_javadir}
cp -p ./dist/%{upstream_name}-%{version}.jar %{buildroot}%{_javadir}
pushd %{buildroot}%{_javadir}
ln -s %{upstream_name}-%{version}.jar %{upstream_name}.jar
popd

mkdir -p %{buildroot}%{_javadocdir}/%{upstream_name}
cp -rp bin/javadoc/docs/api %{buildroot}%{_javadocdir}/%{upstream_name}

%files
%defattr(0644,root,root,0755)
%doc licence-LGPL.txt README.txt ChangeLog.txt
%{_javadir}/%{upstream_name}-%{version}.jar
%{_javadir}/%{upstream_name}.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{upstream_name}


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.1.6-3.mga3
+ Revision: 362751
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 14 2012 ennael <ennael> 1.1.6-2.mga3
+ Revision: 305464
- Documentation group

* Sat Jan 21 2012 kamil <kamil> 1.1.6-1.mga2
+ Revision: 198977
- new version 1.1.6
- drop gcj support
- rediff and rename patch to fix-build.patch
- clean .spec

* Fri Mar 18 2011 dmorgan <dmorgan> 1.1.3-3.mga1
+ Revision: 74300
- Really build without gcj

* Fri Mar 18 2011 dmorgan <dmorgan> 1.1.3-2.mga1
+ Revision: 74281
- Build without gcj

* Wed Jan 26 2011 dmorgan <dmorgan> 1.1.3-1.mga1
+ Revision: 40146
- Adapt for mageia
- imported package pentaho-libxml

